.intervener.mb-5.mb-md-0

    ValidationObserver(v-slot="{ valid }")
        b-row.form
            b-col(cols="12" md="6" lg="2")
                ValidationProvider.mr-3(name="username" v-slot="{ errors }" rules="required")
                    label.form__label.text-nowrap Nombre
                    b-form-input(
                        v-model="intervener.name"
                        autocomplete="off"
                        :disabled="true"
                    )
                    .form__error {{ errors[0] }}
            b-col(cols="12" md="6" lg="3")
                ValidationProvider.mr-3(name="lastname_1" v-slot="{ errors }" rules="required")
                    label.form__label.text-nowrap Primer apellido
                    b-form-input(
                        v-model="intervener.lastname_1"
                        autocomplete="off"
                        :disabled="true"
                    )
                    .form__error {{ errors[0] }}
            b-col(cols="12" md="6" lg="3")
                ValidationProvider.mr-3(name="lastname_2" v-slot="{ errors }" rules="required")
                    label.form__label.text-nowrap Segundo apellido
                    b-form-input(
                        v-model="intervener.lastname_2"
                        autocomplete="off"
                        :disabled="true"
                    )
                    .form__error {{ errors[0] }}
            b-col(cols="12" md="5" lg="3")
                ValidationProvider(name="lastname_2" v-slot="{ errors }" rules="required")
                    label.form__label.text-nowrap Roles
                    multiselect(
                        v-model="intervener.roles"
                        :searchable="true"
                        :options="rolesOptions"
                        :close-on-select="false"
                        :multiple="true"
                        :disabled="isJuridicalEntity && intervener.roles && intervener.roles.some(role => role.key === 'TITULAR')"
                        :show-labels="false"
                        label="name"
                        placeholder="Selecciona rol"
                        track-by="key"
                        @input="setRole($event)"
                    )
                        template(slot="option" slot-scope="{ option }")
                            .d-flex.justify-content-between
                                span.text-truncate {{ option.name }}
                                b-form-checkbox(
                                    :checked="intervener.roles && intervener.roles.some(role => role.key === option.key)"
                                    :disabled="true"
                                )
                        template(slot="singleLabel" slot-scope="{ option }")
                            .d-flex.justify-content-between
                                span.text-truncate {{ option.name }}
                                b-form-checkbox(
                                    :checked="intervener.roles && intervener.roles.some(role => role.key === option.key)"
                                    :disabled="true"
                                )
                    .form__error {{ errors[0] }}

            b-col.d-flex.align-items-center.justify-content-end(cols="12" md="1")
                .fas.fa-trash.ml-2.color-error.cursor-pointer(v-if="intervener.originalIndex >= 1"  v-b-modal="`modal__${intervener.originalIndex}`" v-b-tooltip.hover title="Eliminar interviniente")
                .fas.fa-trash.ml-2.color-grey(v-else v-b-tooltip.hover title="No puedes eliminar tu perfil")


    b-modal(:id="`modal__${intervener.originalIndex}`" title='Eliminar interviniente' centered)
        .my-3 ¿Estás seguro de querer eliminar el interviniente?
        ul
            li  {{ intervener.name }} {{ intervener.lastname_1 }}
        template(v-slot:modal-footer='{ ok, cancel }')
            // Emulate built in modal footer ok and cancel button actions
            b-button(size='sm' variant='danger' @click='removeIntervener(intervener.originalIndex)')
                | Sí, eliminar
            b-button(size='sm' variant='light' @click='cancel()')
                | Cancelar
